import { YrkesgruppResponse } from './api/yrkesgrupp.response.model';

export interface Yrkesgrupp {
  value: string;
  name: string;
  parentId: string;
}

export function mapResponseToYrkesgrupp(data: YrkesgruppResponse): Yrkesgrupp {
  const { id, name, parentId } = data;

  return { value: id, name, parentId };
}
